require './spec/spec_helper'

describe Benzinator::Car do
  it "should exist" do
    expect(Benzinator::Car).to be
  end

  it "should give back a single car" do
    VCR.use_cassette('one_car') do
      car = Benzinator::Car.find(68)
      expect(car.class).to eq(Benzinator::Car)

      # Check that the fields are accessible by our model
      expect(car.id).to eq(68)
      expect(car.make).to eq("Honda")
      expect(car.model).to eq("Civic")
      expect(car.year).to eq("1996")
      expect(car.color).to eq("Blue")
      expect(car.vin).to eq("XXXXXXXXXXXXXX")
      expect(car.dealer_id).to eq(34)
    end
  end

  # Start with this spec commented out
  it "should give back all the cars" do
    VCR.use_cassette('all_cars') do
      result = Benzinator::Car.all

      # Make sure we got all the cars
      expect(result.length).to eq(64)

      # Make sure that the JSON was parsed
      expect(result).to be_a_kind_of(Array)
      expect(result.first).to be_a_kind_of(Benzinator::Car)
    end
  end
end
